### Method

# WebKit2WebExtension DOMCharacterData substring_data

#### Declaration [src]

    gchar*
    webkit_dom_character_data_substring_data (
      WebKitDOMCharacterData* self,
      gulong offset,
      gulong length,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`offset` | `gulong`
| A #gulong.
`length` | `gulong`
| A #gulong.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A #gchar.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.